Subject: bug#36828: 27.0.50; Uninstalled emacs shows installed documentation

From: Eli Zaretskii <[email-masked]>
Date: Sat, 26 Oct 2019 15:29:02 +0300

> From: Óscar Fuentes <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 26 Oct 2019 13:55:11 +0200
> 
> > I'm not sure I understand the relevance of data-directory to the issue
> > at hand.
> 
> data-directory is used for locating the NEWS file and, IIRC, other
> documentation.
> 
> > AFAIR you were talking about the Info documentation,
> 
> No, it was about NEWS. Although making it work for the Info
> documentation would be nice too (my proposed change does not provide
> that).

It sounds strange to solve only the issue with NEWS, but not with
other documentation.

> For the time being, I propose that we concentrate on NEWS, which
> motivated this bug report. Then we can move on to the Info
> documentation.

OK, but then the logic in your proposed change changes too radically
what we've been doing until now: it will cause Emacs to use the NEWS
in the source tree even if you run the installed binary.  That is not
TRT, IMO.

We need some way of detecting the situation whereby Emacs is being run
from a separate build directory, and using the NEWS from the source
tree only then, as fallback.